summaryrefslogtreecommitdiffstats
path: root/academic/acl2
diff options
context:
space:
mode:
author Lockywolf <for_sbo.acl2_2023-07-16@lockywolf.net>2023-07-18 09:31:16 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-07-18 09:31:16 +0700
commit8aeddad2ca4e7042d6047cc759960ae1a4f0357c (patch)
tree23a23327d7112cbf5d5846a7265e05d77a1435e9 /academic/acl2
parent75390fbf80714b2776d66491afe414c7ff81ed0b (diff)
downloadslackbuilds-8aeddad2ca4e7042d6047cc759960ae1a4f0357c.tar.gz
slackbuilds-8aeddad2ca4e7042d6047cc759960ae1a4f0357c.tar.xz
academic/acl2: Added (Computational Logic for LiSP).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic/acl2')
-rw-r--r--academic/acl2/README7
-rwxr-xr-xacademic/acl2/acl24
-rw-r--r--academic/acl2/acl2.SlackBuild98
-rw-r--r--academic/acl2/acl2.info10
-rw-r--r--academic/acl2/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/academic/acl2/README b/academic/acl2/README
new file mode 100644
index 0000000000..ac87fba1ef
--- /dev/null
+++ b/academic/acl2/README
@@ -0,0 +1,7 @@
+ACL2 is a logic and programming language in which you can model
+computer systems, together with a tool to help you prove properties of
+those models. "ACL2" denotes "A Computational Logic for Applicative
+Common Lisp". ACL2 is part of the Boyer-Moore family of provers, for
+which its authors have received the 2005 ACM Software System Award
+
+There is some support for Emacs >24 in /opt/acl2/books/emacs/
diff --git a/academic/acl2/acl2 b/academic/acl2/acl2
new file mode 100755
index 0000000000..65892c9f9e
--- /dev/null
+++ b/academic/acl2/acl2
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+export ACL2_SYSTEM_BOOKS=/opt/acl2/books/
+/opt/acl2/saved_acl2 $@
diff --git a/academic/acl2/acl2.SlackBuild b/academic/acl2/acl2.SlackBuild
new file mode 100644
index 0000000000..027caca8ba
--- /dev/null
+++ b/academic/acl2/acl2.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/bash
+
+# Slackware build script for acl2
+
+# Copyright 2023, Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=acl2
+VERSION=${VERSION:-8.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+export SBCL_HOME=/usr/lib${LIBDIRSUFFIX}/sbcl
+gmake LISP='sbcl --no-sysinit --no-userinit --disable-debugger'
+install -Dm755 $CWD/acl2 $PKG/usr/bin/acl2
+install -d -m755 $PKG/opt/acl2
+cp -r . $PKG/opt/acl2/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE doc workshops.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/acl2/acl2.info b/academic/acl2/acl2.info
new file mode 100644
index 0000000000..bda4fa3394
--- /dev/null
+++ b/academic/acl2/acl2.info
@@ -0,0 +1,10 @@
+PRGNAM="acl2"
+VERSION="8.5"
+HOMEPAGE="https://www.cs.utexas.edu/users/moore/acl2/v8-5/"
+DOWNLOAD="https://github.com/acl2-devel/acl2-devel/releases/download/8.5/acl2-8.5.tar.gz"
+MD5SUM="ec2c62dbdffdc345252bc5a68ad830fc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="sbcl"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.acl2_2023-07-16@lockywolf.net"
diff --git a/academic/acl2/slack-desc b/academic/acl2/slack-desc
new file mode 100644
index 0000000000..1d7f0f6b1b
--- /dev/null
+++ b/academic/acl2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+acl2: acl2 (Computational Logic for Applicative Common Lisp)
+acl2:
+acl2: ACL2 is a logic and programming language in which you can model
+acl2: computer systems, together with a tool to help you prove properties
+acl2: of those models. "ACL2" denotes "A Computational Logic for
+acl2: Applicative Common Lisp". ACL2 is part of the Boyer-Moore family of
+acl2: provers, for which its authors have received the 2005 ACM Software
+acl2: System Award
+acl2:
+acl2:
+acl2: